# Mobile to UPI Multiple

API will provide the UPI Id and name for the mobile number provided.

### upi\_multiple

`POST` `https://secctrl.tutelar.io/api/v1/kyc/banking/upi_multiple`

#### Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description   |
| -------------- | ------ | ------------ | ------------- |
| mobile\_number | String | Yes          | Mobile Number |

**Sample Post Parameters**

```json
{
    "mobile_number": "6300000000"
}
```

200: Success Response

200: InProgress Response

400: Validation Error Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "status": "completed",
    "reference_id": "1856dd95-120d-4d96-90ef-9bc255daff34",
    "result": {
        "name": "Mr R XXXXXXX",
        "upi": [\
            "6300000000@paytm",\
            "6300000000@axl",\
            "6300000000@kotak",\
            "6300000000@upi",\
            "6300000000@ybl"\
        ],
        "txnId": "18e7feea-50f7-49f1-961c-eba44ec9d4bb"
    },
    "requested_at": "2026-03-03T06:18:50.079Z",
    "completed_at": "2026-03-03T06:19:05.365Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "10cc9473-ce11-425e-ac89-1f51ce6e78de",
    "status": "in_progress",
    "requested_at": "2026-03-03T05:28:49.245Z"
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid mobile number",
        "field": "mobile_number",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "ecd78066-c7e9-4c9b-ba97-8eb18ed32947",
    "status": "failed",
    "error": {
        "message": "Validation Failed",
        "code": "ERROR"
    },
    "requested_at": "2026-03-03T05:21:05.793Z",
    "completed_at": "2026-03-03T05:21:07.640Z"
}
```

#### Check Document Status

### Get document details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference\_id

`GET` `https://secctrl.tutelar.io/api/v1/kyc/banking/upi_multiple`

#### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

200: Success Response

200: InProgress Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "status": "completed",
    "reference_id": "1856dd95-120d-4d96-90ef-9bc255daff34",
    "result": {
        "name": "Mr R XXXXXXX",
        "upi": [\
            "6300000000@paytm",\
            "6300000000@axl",\
            "6300000000@kotak",\
            "6300000000@upi",\
            "6300000000@ybl"\
        ],
        "txnId": "18e7feea-50f7-49f1-961c-eba44ec9d4bb"
    },
    "requested_at": "2026-03-03T06:18:50.079Z",
    "completed_at": "2026-03-03T06:19:05.365Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "10cc9473-ce11-425e-ac89-1f51ce6e78de",
    "status": "in_progress",
    "requested_at": "2026-03-03T05:28:49.245Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "ecd78066-c7e9-4c9b-ba97-8eb18ed32947",
    "status": "failed",
    "error": {
        "message": "Validation Failed",
        "code": "ERROR"
    },
    "requested_at": "2026-03-03T05:21:05.793Z",
    "completed_at": "2026-03-03T05:21:07.640Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/mobile-to-upi-multiple.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
